meeplestreet/urls.py
from django.contrib import admin
from django.urls import path, include
from django.conf import settings
from django.conf.urls.static import static

urlpatterns = [
    path('admin/', admin.site.urls),
    path('', include('review.urls'))
]


if settings.DEBUG:
    urlpatterns += static(settings.STATIC_URL, document_root=settings.STATIC_ROOT)
    urlpatterns += static(settings.MEDIA_URL, document_root=settings.MEDIA_ROOT)

review/urls.py
"""
Urls module for review app
@author: Samy Delahaye <samy.delahaye@gmail.com>
"""
from django.urls import path
from review import views

app_name = 'review'

urlpatterns = [
    path('', views.index, name='index'),
    path('review/<slug:slug>', views.review, name='review'),
]

review/models.py
"""
Models module for review app
@author: Samy Delahaye <samy.delahaye@gmail.com>
"""
from django.db import models
from django.contrib.auth.models import User


class Category(models.Model):
    """
    Category model for handling different category across application
    """
    name = models.CharField(max_length=50, verbose_name='Name')
    slug = models.SlugField(verbose_name='Slug')

    def __str__(self):
        return self.name

    class Meta:
        ordering = ['name', ]
        verbose_name = 'Category'
        verbose_name_plural = 'Categories'


class Game(models.Model):
    """
    Game model for handling general information about a game
    """
    VIDEOGAME = 'VG'
    BOARDGAME = 'BG'

    TYPE_CHOICES = (
        (VIDEOGAME, 'Videogame'),
        (BOARDGAME, 'Boardgame'),
    )

    name = models.CharField(max_length=150, verbose_name='Title')
    slug = models.SlugField(verbose_name='Slug')
    cover = models.ImageField(upload_to='cover', verbose_name='Cover')
    description = models.TextField(verbose_name='Description')
    published_at = models.DateField(verbose_name='Published at')
    type = models.CharField(max_length=2, choices=TYPE_CHOICES, verbose_name='Type',
                            default=VIDEOGAME)

    def __str__(self):
        return self.name

    class Meta:
        ordering = ['-published_at', 'name', ]
        verbose_name = 'Game'
        verbose_name_plural = 'Games'


class Review(models.Model):
    """
    Game review model that will populate our website like a blog
    """
    title = models.CharField(max_length=50, verbose_name='Name')
    slug = models.SlugField(verbose_name='Slug')
    created_at = models.DateTimeField(auto_now_add=True, verbose_name='Created at')
    updated_at = models.DateTimeField(auto_now=True, verbose_name='Updated at')
    body = models.TextField(verbose_name='Body')
    thumbnail = models.ImageField(upload_to='thumbnail', verbose_name='Cover')
    author = models.ForeignKey(User, verbose_name='Author', on_delete=models.CASCADE)
    game = models.ForeignKey(Game, verbose_name='Game', on_delete=models.CASCADE)

    categories = models.ManyToManyField(Category, related_name='reviews',
                                        verbose_name='Categories')

    def __str__(self):
        return self.title

    class Meta:
        ordering = ['-updated_at', 'title', ]
        verbose_name = 'Review'
        verbose_name_plural = 'Reviews'

review/views.py
"""
Views module for review app
@author: Samy Delahaye <samy.delahaye@gmail.com>
"""
from django.shortcuts import render, get_object_or_404
from review.models import Review


def index(request):
    latest_reviews = Review.objects.all()[:3]
    return render(request, 'review/list.html', {'latest_reviews': latest_reviews})


def review(request, slug):
    review = get_object_or_404(Review, slug=slug)
    return render(request, 'review/detail.html', {'review': review})

review/templates/_base.html
<!DOCTYPE html>
<html>
    <head>
        <meta charset="utf-8">
        <meta http-equiv="X-UA-Compatible" content="IE=edge">
        <meta name="viewport" content="width=device-width, initial-scale=1">

        <title>{% block title %}{% endblock title %}MeepleStreet</title>
        {% load static %}
        <link rel="apple-touch-icon-precomposed" sizes="57x57" href="{% static 'fav/apple-touch-icon-57x57.png' %}?" />
        <link rel="apple-touch-icon-precomposed" sizes="114x114" href="{% static 'fav/apple-touch-icon-114x114.png' %}?" />
        <link rel="apple-touch-icon-precomposed" sizes="72x72" href="{% static 'fav/apple-touch-icon-72x72.png' %}?" />
        <link rel="apple-touch-icon-precomposed" sizes="144x144" href="{% static 'fav/apple-touch-icon-144x144.png' %}?" />
        <link rel="apple-touch-icon-precomposed" sizes="60x60" href="{% static 'fav/apple-touch-icon-60x60.png' %}?" />
        <link rel="apple-touch-icon-precomposed" sizes="120x120" href="{% static 'fav/apple-touch-icon-120x120.png' %}?" />
        <link rel="apple-touch-icon-precomposed" sizes="76x76" href="{% static 'fav/apple-touch-icon-76x76.png' %}?" />
        <link rel="apple-touch-icon-precomposed" sizes="152x152" href="{% static 'fav/apple-touch-icon-152x152.png' %}?" />
        <link rel="icon" type="image/png" href="{% static 'fav/favicon-196x196.png' %}?" sizes="196x196" />
        <link rel="icon" type="image/png" href="{% static 'fav/favicon-96x96.png' %}?" sizes="96x96" />
        <link rel="icon" type="image/png" href="{% static 'fav/favicon-32x32.png' %}?" sizes="32x32" />
        <link rel="icon" type="image/png" href="{% static 'fav/favicon-16x16.png' %}?" sizes="16x16" />
        <link rel="icon" type="image/png" href="{% static 'fav/favicon-128.png' %}?" sizes="128x128" />
        <meta name="application-name" content="MeepleStreet"/>
        <meta name="msapplication-TileColor" content="#FFFFFF" />
        <meta name="msapplication-TileImage" content="{% static 'fav/mstile-144x144.png' %}?" />
        <meta name="msapplication-square70x70logo" content="{% static 'fav/mstile-70x70.png' %}?" />
        <meta name="msapplication-square150x150logo" content="{% static 'fav/mstile-150x150.png' %}?" />
        <meta name="msapplication-wide310x150logo" content="{% static 'fav/mstile-310x150.png' %}?" />
        <meta name="msapplication-square310x310logo" content="{% static 'fav/mstile-310x310.png' %}?" />

        <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css" integrity="sha384-BVYiiSIFeK1dGmJRAkycuHAHRg32OmUcww7on3RYdg4Va+PmSTsz/K68vbdEjh4u" crossorigin="anonymous">
        <link href="https://fonts.googleapis.com/css?family=Gloria+Hallelujah|Roboto+Slab" rel="stylesheet"> 
       
        <link href="{% static 'css/style.css' %}" rel="stylesheet">
    </head>
    <body>
        <div class="container">
            <div class="header clearfix">
              <nav>
                <ul class="nav nav-pills pull-right">
                    <li role="presentation"><a href="{% url 'review:index' %}">Home</a></li>
                </ul>
              </nav>
              <h3 class="text-muted">🎲 MeepleStreet</h3>
            </div>
            <div class="row marketing">
                {% block main %}{% endblock main %}
            </div>
            <footer class="footer">
                <p>&copy; {% now 'Y' %} DelahayeYourself, Ltd.</p>
                </footer>
        </div>
      
    </body>

</html>

review/templates/review/detail.html
{% extends '_base.html' %}

{% block main %}

<h1 class="text-center"> {{ review.title }} </h1>
<p class="text-right">
    {% for category in review.categories.all %}
    <span class="label label-info">{{ category.name }}</span>
    {% endfor %}
</p>

<img src="{{ review.thumbnail.url }}" alt="{{ review.title }} image" class="img-thumbnail img-rounded img-thumbnail">
<hr />
<p class="text-center text-title">By {{ review.author.username }}</span>
<hr />
<div class="col-lg-6">
    {{ review.body|linebreaksbr }}

    <hr />

    <a href="{% url 'review:index' %}">Go back to homepage</a>
</div>

<div class="col-lg-6">
    <div class="panel panel-default">
        <div class="panel-heading text-center">
            <img src="{{ review.game.cover.url }}" alt="{{ game.name }} cover" class="img-thumbnail img-rounded img-thumbnail">
        </div>
        <div class="panel-body">
            <p>
                <span class="label label-info">Published on {{ review.game.published_at }}</span>
                <span class="label label-info">{{ review.game.get_type_display }}</span>
            </p>
            <p>{{ review.game.description|linebreaksbr }}</p>
        </div>
    </div>
</div>

{% endblock main %}

review/templates/review/list.html
{% extends '_base.html' %}

{% block main %}

<div class="row">
    <div class="jumbotron">
        <h1>Latests reviews</h1>
        <h1>👾</h1>
    </div>
</div>

{% for review in latest_reviews %}
    <div class="col-lg-6">
        <img src="{{ review.thumbnail.url }}" alt="{{ review.title }} image" class="img-thumbnail img-rounded img-thumbnail">
        <h3 class="text-center">{{ review.title }}</h3>
        <hr />
        
        <p>{{ review.body|truncatechars:150 }}</p>
        <hr />
        <p>
            <a href="{% url 'review:review' review.slug %}" class="btn btn-default">➡️ Read more</a>
        </p>
        <hr/>
    </div>
{% endfor %}

{% endblock main %}